Bug 852666 - [as7] Cluster Connection property update renders AS7 configuration file invalid
[as7] Cluster Connection property update renders AS7 configuration file invalid
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: CR02
: JON 3.1.1
Assigned To: Stefan Negrea
Mike Foley
:
Depends On: 852632
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-08-29 04:52 EDT by Stefan Negrea
Modified: 2013-09-03 11:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 852632
Environment:
Last Closed: 2013-09-03 11:15:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-08-29 04:52:46 EDT
+++ This bug was initially created as a clone of Bug #852632 +++

Description of problem:
Updates to [allow-direct-connections-only] property of cluster connection renders the configuration file for AS7 invalid. The server cannot be restarted/reloaded without manual updates to the configuration file.

The AS7 server writes the [allow-direct-connections-only] property as an XML attribute of [static-connectors] property. But the [static-connectors] and [discovery-group-name] cannot be both defined at the same time. So if the [discovery-group-name] is configured and the user updates [allow-direct-connections-only], the the two fields that should not be defined at the same time are now defined in the configuration file. 

The problem:
[discovery-group-name] is defined because the user set it non-null value, and 
[static-connectors] is defined because it has the attribute for the value of [allow-direct-connections-only]. 

This is not an RHQ plugin bug. This an AS7 bug and the only work-around until the application server is fixed is to remove [allow-direct-connections-only] property from cluster connections. 

Path of affected resources:
*/subsystem=messaging/hornetq-server=*/cluster-connection=*

How reproducible:
Every time.

Steps to Reproduce:
1. Discovery and import an AS7 standalone server
2. Find resources at the addresses mentioned above
3. Attempt to update [Allow Direct Connections Only] property
4. Update another property and save
5. Send a reload operation to the server

Expected results:
[Allow Direct Connections Only] property is not available for configuration. The configuration is updated and the server reloads successfully.

--- Additional comment from snegrea@redhat.com on 2012-08-29 04:52:09 EDT ---

Remove allow-direct-connections-only property from configuration to prevent sending the value to the application server. If this property is not left undefined, the configuration file for the server becomes invalid if the user attempts to use discovery-group-name.
Comment 2 John Sanda 2012-09-06 01:26:51 EDT
CR2 build is available at https://brewweb.devel.redhat.com/buildinfo?buildID=232185. Moving to ON_QA.
Comment 3 Armine Hovsepyan 2012-09-06 06:48:46 EDT
verified.

[allow-direct-connections-only] property is not visible anymore.
Comment 4 Heiko W. Rupp 2013-09-03 11:15:01 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.